﻿using FLY.Integrated.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Unity;

namespace FLY.Integrated.UI.Client
{
    /// <summary>
    /// Page_System.xaml 的交互逻辑
    /// </summary>
    public partial class PgAccessorySetting : Page
    {
        IIntegratedSystemService integratedSystemService;
        FLY.OBJComponents.Client.SetPLCUpdatePlan setPlan;
        public PgAccessorySetting()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(
            IIntegratedSystemService integratedSystemService
            )
        {
            this.integratedSystemService = integratedSystemService;
            this.DataContext = integratedSystemService.Accessory;

            //注册属性更新计划
            setPlan = new FLY.OBJComponents.Client.SetPLCUpdatePlan(
                integratedSystemService.PLCos,
                integratedSystemService.Ibc,
                new string[] {
                    "TractionVelocityInner",
                    "VelocityFactor",
                    "TractionDiameter",
                    "TractionVRatio",
                    "TractionDefaultFreq",
                    "RotationDefaultFreq"
            });
        }
        
        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            setPlan.Dispose();
        }
    }
}
