﻿using FLY.OBJComponents.IService;
using FLY.Thick.Base.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.Integrated.UI.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class PgMenu : Page
    {

        IUnityContainer container;
        public PgMenu()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;

        }

        private void btnIbcSettingClick(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Integrated"))
                return;
            var p = container.Resolve<PgIbcSetting>();
            NavigationService.Navigate(p);
        }
        private void btnAccessoryClick(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Integrated"))
                return;
            var p = container.Resolve<PgAccessorySetting>();
            NavigationService.Navigate(p);
        }

        private void btnErrorClick(object sender, RoutedEventArgs e)
        {
            PgErrorTable2 p = new PgErrorTable2();
            var warningReasonWindow = container.Resolve<WarningReasonWindow>("integratedWarningReasonWindow");
            var warningService = container.Resolve<IWarningService>("integratedWarningService");
            p.Init(container, warningService, warningReasonWindow);
            NavigationService.Navigate(p);
        }


    }
}
