﻿using FLY.Integrated.IService;
using FLY.OBJComponents.Client;
using MultiLayout.UiModule;
using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.Integrated.UI.Client.UiModule
{
    /// <summary>
    /// UcRotaryPanel.xaml 的交互逻辑
    /// </summary>
    public partial class RotaryPanel : UserControl
    {

        IUnityContainer container;
        IIntegratedSystemService integratedSystemService;
        FLY.OBJComponents.Client.SetPLCUpdatePlan setPlan;
        public RotaryPanel()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(
            IUnityContainer container,
            IIntegratedSystemService integratedSystemService)
        {
            this.container = container;
            this.integratedSystemService = integratedSystemService;
            this.DataContext = integratedSystemService.Accessory;

            //注册属性更新计划
            setPlan = new SetPLCUpdatePlan(
                 integratedSystemService.PLCos,
                 integratedSystemService.Accessory,
                 new string[] {
                     "RotaryFreq",
                     "RotaryFreqSet",
                     "IsRotaryFreqChanged",

                    "IsRotaryOn",
                    "IsRotaryOrg",

                    "IsRotaryForw",
                    "IsRotaryBackw",
                    "IsRotaryForwLimit",
                    "IsRotaryForwTurn",
                    "IsRotaryOrgSign",
                    "IsRotaryBackwLimit",
                    "IsRotaryBackwTurn"
                 });


        }

        private void btnFreqClick(object sender, RoutedEventArgs e)
        {
            var w = container.Resolve<WdFreq>();
            w.Owner = FLY.ControlLibrary.COMMON.GetWindow(this);
            w.ShowDialog();

        }
    }

    public class UiModule2_RotaryPanel : IUiModule2
    {
        /// <summary>
        /// 控件标题
        /// 它的值取决于culture
        /// </summary>
        public string Title => "综合.旋转调节";
        public ComponentType Type => ComponentType.Graph;
        public bool IsUnique => true;

        /// <summary>
        /// 控件
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            return container.Resolve<RotaryPanel>();
        }

        /// <summary>
        /// 控件缩略图，用于编辑界面时，大致看看
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }


        /// <summary>
        /// 给出全部控件ID, 控件自行删除没有的参数
        /// </summary>
        /// <param name="IDs"></param>
        public void MatchParam(int[] IDs)
        {
        }
    }
}
