﻿using SQLite;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Integrated.Server.Model
{
    /// <summary>
    /// 折径表
    /// </summary>
    [Table("Width")]
    public class Db_Width: IDbBase
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [PropertyIndex(1)]
        public DateTime Time { get; set; }

        /// <summary>
        /// 折径显示
        ///  单位:mm
        /// </summary>
        [PropertyIndex(2)]
        public double FilmWidth { get; set; }


        /// <summary>
        /// 进风运行频率(Hz)(自动调节)
        /// </summary>
        [PropertyIndex(3)]
        public double InletAirFreq { get; set; }


        /// <summary>
        /// 出风运行频率(Hz)(手动调节)
        /// </summary>
        [PropertyIndex(4)]
        public double OutletAirFreq { get; set; }

        /// <summary>
        /// 外冷运行频率(Hz)
        /// </summary>
        [PropertyIndex(5)]
        public double ExCoolFreq { get; set; }
    }

    /// <summary>
    /// TODO
    /// 收卷表，错的，需要修改！！！！
    /// </summary>
    [Table("WinderInfo")]
    public class Db_WinderInfo : IDbBase
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [PropertyIndex(1)]
        public DateTime Time { get; set; }

        /// <summary>
        /// 牵引速度 m/min
        /// </summary>
        [PropertyIndex(2)]
        public double TractionVelocity { get; set; }

        
        /// <summary>
        /// 旋转塔频率 单位 Hz
        /// </summary>
        [PropertyIndex(3)]
        public double RotaryFreq { get; set; }

        /// <summary>
        /// 旋转塔正转
        /// </summary>
        [PropertyIndex(4)]
        public bool IsRotaryForw { get; set; }

        /// <summary>
        /// 旋转塔反转
        /// </summary>
        [PropertyIndex(5)]
        public bool IsRotaryBackw { get; set; }

    }
}
