﻿using FLY.Thick.Base.Common;
using MultiLayout.UiModule;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Unity;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// DynAreaProfile.xaml 的交互逻辑
    /// </summary>
    public partial class DynAreaProfile : UserControl
    {
        IUnityContainer container;
        FLY.Thick.Blowing.IService.IBlowingFixProfileService profileService;
        public DynAreaProfile()
        {
            InitializeComponent();
        }


        [InjectionMethod]
        public void Init(
            IUnityContainer container,
            FLY.Thick.Blowing.IService.IBlowingFixProfileService profileService
            )
        {
            this.container = container;
            this.profileService = profileService;
            Border_Profile.DataContext = this.profileService.Param;
        }

        private void button_profile_click(object sender, RoutedEventArgs e)
        {
            PgProfileBlowing p = new PgProfileBlowing();
            container.BuildUp(p);
            (Application.Current.Properties["NavigationService"] as NavigationService).Navigate(p);

        }
    }

    public class UiModule2_DynAreaProfile : IUiModule2
    {
        /// <summary>
        /// 控件标题
        /// 它的值取决于culture
        /// </summary>
        public string Title => "产品状态";

        public ComponentType Type => ComponentType.DynArea;

        public bool IsUnique => true;

        /// <summary>
        /// 控件
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            DynAreaProfile graph = new DynAreaProfile();
            container.BuildUp(graph);
            return graph;
        }

        /// <summary>
        /// 控件缩略图，用于编辑界面时，大致看看
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }


        /// <summary>
        /// 给出全部控件ID, 控件自行删除没有的参数
        /// </summary>
        /// <param name="IDs"></param>
        public void MatchParam(int[] IDs)
        {

        }
    }
}
