﻿using FLY.OBJComponents.IService;
using FLY.Thick.Base.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class PgMenu : Page
    {
        IUnityContainer container;
        public PgMenu()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;

        }

        private void button_error_Click(object sender, RoutedEventArgs e)
        {
            PgErrorTable2 p = new PgErrorTable2();
            var warningReasonWindow = container.Resolve<WarningReasonWindow>("winderWarningReasonWindow");
            var warningService = container.Resolve<IWarningService>("winderWarningService");
            p.Init(container, warningService, warningReasonWindow);
            NavigationService.Navigate(p);
        }


        private void button_pidparam_Click(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Winder"))
                return;

            PgPidParam p = new PgPidParam();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }

        private void button_winderparam_Click(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Winder"))
                return;
            PgWinderParam p = new PgWinderParam();
            container.BuildUp(p);
            NavigationService.Navigate(p);
            
        }

        private void btnCenterParamClick(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Winder"))
                return;
            PgCenterParam p = new PgCenterParam();
            container.BuildUp(p);
            NavigationService.Navigate(p);
            
        }

        private void btnInterstitialParamClick(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("Winder"))
                return;
            PgInterstitialParam p = new PgInterstitialParam();
            container.BuildUp(p);
            NavigationService.Navigate(p);
            
        }
    }
}
