﻿using FLY.OBJComponents.Client;
using FLY.Winder.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Unity;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// Page_System.xaml 的交互逻辑
    /// </summary>
    public partial class PgPidParam : Page
    {
        IWinderSystemService winderSystem;
        SetPLCUpdatePlan setPlan_accessory;
        SetPLCUpdatePlan[] setPlan_winders = new SetPLCUpdatePlan[2];
        public PgPidParam()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        void Init(IWinderSystemService winderSystem)
        {
            this.winderSystem = winderSystem;
            grid_winder.DataContext = winderSystem;

            //注册属性更新计划
            setPlan_accessory = new SetPLCUpdatePlan(
                winderSystem.PLCos,
                 winderSystem.Accessory,
                 new string[] {
                    "TensionDetection",
                    "Velocity",
                    "VelocityFactor",
                    "IsTraction1Debug",

                    "Traction1RollerD",
                    "Traction1GearRatio",
                    "Traction1Velocity",

                    "Traction2Tension",
                    "Traction2TensionSet",
                    "Traction2ITime",
                    "Traction2Factor",
                    "Traction2RollerD",
                    "Traction2GearRatio",
                    "Traction2PIDResult",
                    "Traction2PIDAdjust",
                    "Traction2SyncV",
                    "Traction2Velocity",
                    "Traction2LiftGain"
                 });

            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i] = new SetPLCUpdatePlan(
                    winderSystem.PLCos,
                    winderSystem.Items[i],
                    new string[] {
                        "Tension",
                        "TensionSet",
                        "ITime",
                        "Factor",
                        "RollerD",
                        "GearRatio",
                        "PIDResult",
                        "PIDAdjust",
                        "SyncV",
                        "Velocity",
                        "LiftGain",
                        "VelocityComp"
                    });
            }
        }
        
        private void Page_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            setPlan_accessory.Dispose();
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i].Dispose();
            }
        }
    }
}
