﻿using FLY.OBJComponents.Client;
using FLY.Winder.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Unity;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// Page_System.xaml 的交互逻辑
    /// </summary>
    public partial class PgWinderParam : Page
    {
        IWinderSystemService winderSystem;
        SetPLCUpdatePlan setPlan_accessory;
        SetPLCUpdatePlan[] setPlan_winders = new SetPLCUpdatePlan[2];
        public PgWinderParam()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IWinderSystemService winderSystem)
        {
            this.winderSystem = winderSystem;
            grid_winder.DataContext = winderSystem;

            //注册属性更新计划
            setPlan_accessory = new SetPLCUpdatePlan(
                winderSystem.PLCos,
                winderSystem.Accessory,
                new string[] {
                    "WinderMeasurePerimeter",
                    "TensionDetectionRange"
                });

            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i] = new SetPLCUpdatePlan(
                    winderSystem.PLCos,
                    winderSystem.Items[i],
                    new string[] {
                        "TurnoverUpperWait",
                        "TurnoverOrgDelay",
                        "TurnoverBackDelay",
                        "CuttingFilmDelay",
                        "CuttingFilmElapsed",
                        "PressureArmBackElapsed",
                        "AirRollerCheck",
                        "OffsetElapsed",
                        "ElapsedWait",
                        "TapeLimit"
                    });
            }
            
        }
        
        private void Page_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            setPlan_accessory.Dispose();
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i].Dispose();
            }
        }
    }
}
