﻿using OfficeOpenXml;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace Autogen_WS
{
    /// <summary>
    /// 设备地址
    /// </summary>
    public class DeviceAddrList
    {
        public List<DeviceAddrInfo> deviceAddrInfos = new List<DeviceAddrInfo>();

        /// <summary>
        /// 读取设备转换表
        /// </summary>
        /// <returns></returns>
        public bool Load(string xlsxfile)
        {
            deviceAddrInfos.Clear();

            int i_deviceName = 1;
            int i_ep = 2;
            
            
            using (ExcelPackage packages = new ExcelPackage(new FileInfo(xlsxfile)))
            {
                using (ExcelWorksheet sheet = packages.Workbook.Worksheets["设备地址"])
                {
                    int iRow = 2;
                    int i = iRow - 1;
                    while (true)
                    {
                        i++;
                        DeviceAddrInfo deviceAddrInfo = new DeviceAddrInfo();
                        try
                        {
                            deviceAddrInfo.deviceName = sheet.Cells[i, i_deviceName].Value.ToString();
                            deviceAddrInfo.ep = sheet.Cells[i, i_ep].Value.ToString();
                        }
                        catch
                        {
                            //完成，没有数据了
                            break;
                        }

                        if (string.IsNullOrEmpty(deviceAddrInfo.deviceName)) break;
                        if (string.IsNullOrEmpty(deviceAddrInfo.ep)) return false;

                        deviceAddrInfos.Add(deviceAddrInfo);

                    }
                }
            }
            if (deviceAddrInfos.Count == 0)
                return false;
            return true;
        }
    }

    public class DeviceAddrInfo 
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        public string deviceName;
        /// <summary>
        /// 地址&端口
        /// </summary>
        public string ep;
    }
}
